#
# spec file for package FastCGI
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           FastCGI
Version:        2.4.0
Release:        149.150.1
#
Group:          Development/Languages/C and C++
License:        PERMISSIVE-OSI-COMPLIANT ; Open Market Permissive License
#
BuildRequires:  gcc-c++
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
#
Url:            http://www.fastcgi.com
Source:         http://www.fastcgi.com/dist/fcgi.tar.bz2
Source1:        README.supervise
Patch0:         FastCGI-makefile.am_cppflags.patch
Patch1:         FastCGI-clientdata_pointer.patch
Patch2:         FastCGI-supervise_cgi-fcgi.patch
Patch3:         fastcgi-2.4.0_missing_call_to_fclose.patch
Patch4:         FastCGI-gcc44.patch
Patch5:         FastCGI-fix_deprecated_api.patch
#
Summary:        A Scalable, Open Extension to CGI

%description
FastCGI is a language-independent, scalable, open extension to CGI that
provides high performance without the limitations of server-specific
APIs.



%package devel
License:        PERMISSIVE-OSI-COMPLIANT ; Open Market Permissive License
Group:          Development/Languages/C and C++
Summary:        A scalable, open extension to CGI
Requires:       %{name} = %{version}
Requires:       glibc-devel

%description devel
FastCGI is a language independent, scalable, open extension to CGI that
provides high performance without the limitations of server specific
APIs.



%package -n perl-FastCGI
License:        Other uncritical OpenSource License ; Open Market Permissive License
Group:          Development/Languages/C and C++
Summary:        A scalable, open extension to CGI
Requires:       %{name} = %{version}

%description -n perl-FastCGI
FastCGI is a language independent, scalable, open extension to CGI that
provides high performance without the limitations of server specific
APIs.



%prep
%setup -n fcgi-%{version}
%patch0
%patch1
%patch2
%patch3
%patch4
%patch5
touch NEWS AUTHORS ChangeLog COPYING
find doc/{fastcgi-prog-guide,fastcgi-whitepaper} -type f -print0 | xargs -r0 chmod 0644

%build
autoreconf -fi
%configure --disable-static --with-pic --includedir=%{_includedir}/fastcgi
%{__make} all
pushd perl
    %configure --disable-static --with-pic --includedir=%{_includedir}/fastcgi
    %{__perl} Makefile.PL
    %{__make} %{?jobs:-j%jobs} all
popd

%install
%makeinstall
pushd perl
    %perl_make_install
    %perl_process_packlist
popd
pushd examples
    %{__make} clean
popd
%{__install} -Dd -m 0755                     \
    %{buildroot}%{_mandir}/man{1,3}/         \
    %{buildroot}%{_docdir}/%{name}/examples/
%{__install} -m 0644 examples/* %{buildroot}%{_docdir}/%{name}/examples/
%{__install} -m 0644 doc/*.1    %{buildroot}%{_mandir}/man1/
%{__install} -m 0644 doc/*.3    %{buildroot}%{_mandir}/man3/
%{__install} -m 0644 doc/*.htm* doc/*.gif LICENSE.TERMS README \
    %{buildroot}%{_docdir}/%{name}/
%{__install} -m 0644 perl/README    %{buildroot}%{_docdir}/%{name}/README.perl
%{__install} -m 0644 perl/ChangeLog %{buildroot}%{_docdir}/%{name}/ChangeLog.perl
%{__cp} -vr doc/{fastcgi-prog-guide,fastcgi-whitepaper} java %{S:1} \
    %{buildroot}%{_docdir}/%{name}/
rm -f %{buildroot}%{_libdir}/libfcgi*.la

%clean
%{__rm} -rf %{buildroot};

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/cgi-fcgi
%{_libdir}/libfcgi*.so.*
%{_mandir}/man1/*.1.gz
%doc %{_docdir}/%{name}

%files devel
%defattr(-,root,root)
%{_libdir}/libfcgi*.so
%dir %{_includedir}/fastcgi/
%{_includedir}/fastcgi/*
%{_mandir}/man3/*.3.gz

%files -n perl-FastCGI
%defattr(-,root,root)
%{_mandir}/man3/*.3pm.gz
%{perl_vendorarch}/FCGI.pm
%dir %{perl_vendorarch}/auto/FCGI
%{perl_vendorarch}/auto/FCGI/*.*
%if %suse_version < 1140
%{perl_vendorarch}/auto/FCGI/.packlist
%{_var}/adm/perl-modules/%{name}
%endif

%changelog
* Mon Dec 12 2011 mrueckert@suse.de
- added FastCGI-fix_deprecated_api.patch: (bnc#735882)
  Fixes an issue where CGI.pm received CGI variables from previous
  requests. CVE-2011-2766
* Mon Dec  6 2010 coolo@novell.com
- fix build for factory
* Sun Dec 20 2009 jengelh@medozas.de
- enable parallel build
* Thu Sep 17 2009 mrueckert@suse.de
- add fastcgi-2.4.0_missing_call_to_fclose.patch (bnc#525009)
* Fri Jun 26 2009 crrodriguez@suse.de
- disable static libraries
* Mon Feb 16 2009 coolo@suse.de
- fix build with gcc 4.4
* Fri Oct 20 2006 mrueckert@suse.de
- remove perl_make_install for now ... i wont build for fedora
  any time soon.
* Fri Sep 15 2006 mrueckert@suse.de
- add perl_make_install for all distros other than suse.
* Fri Sep  8 2006 mrueckert@suse.de
- add README.supervise
- small spec file cleanup
* Thu Sep  7 2006 mrueckert@suse.de
- applied patch from
  http://rubyists.com/articles/2005/05/03/spawn-fcgi-in-the-foreground
  to run fastcgi application in foreground this is useful for tools
  like runit/daemontools/initng
* Thu Aug 24 2006 mrueckert@suse.de
- run ldconfig
* Wed Mar  8 2006 mrueckert@suse.de
- readded gcc-c++ to the BuildRequires
  Seems it got lost in the automatic BuildRequires conversion.
  fixes C++ bindings.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Aug 17 2005 mrueckert@suse.de
- Initial package with version 2.4.0
